
package org.objectweb.fractal.cecilia.adl;

import java.util.HashMap;
import java.util.Map;

import org.objectweb.fractal.cecilia.adl.implementations.LanguageLoader;

/**
 * @author Alessio Pace
 */
public class CLanguageLoaderArgumentsFactory
    implements
      LanguageLoaderAttributesFactory {

  public Map<String, Object> getLanguageContextValues() {

    final Map<String, Object> compilerContext = new HashMap<String, Object>();

    compilerContext.put(LanguageLoader.DEFAULT_PPL_PROPERTY_NAME,
        LanguageLoader.DEFAULT_PPL);

    compilerContext.put(LanguageLoader.DEFAULT_CPL_PROPERTY_NAME,
        LanguageLoader.DEFAULT_CPL);

    compilerContext.put(LanguageLoader.DEFAULT_CPLS_PROPERTY_NAME,
        LanguageLoader.DEFAULT_CPLS);

    return compilerContext;
  }
}
